html {
    font-size: 25px;
}

body {
    font-family: 'Catamaran', sans-serif;
    background: #ffffff;
}

.d-flex {
    display: flex;
}

.jc-between {
    justify-content: space-between;
}

.jc-center {
    justify-content: center;
}

.ai-center {
    align-items: center;
}

.f-d-column {
    flex-direction: column;
}

.container {
    max-width: 1567px;
    padding: 0 15px 0 15px;
    margin: 0 auto;
}

.header__top {
    max-width: 1567px;
    position: fixed;
    left: 0;
    right: 0;
    margin: auto;
    z-index: 1;
    padding: 0 15px 0 15px;
    background: linear-gradient(90deg, rgba(255,255,255,0.8) 100%, rgba(255,255,255,0.8) 100%);
}

.logo {
    margin-right: 100px;
}

.logo__img {
    width: 100%;
}

.menu {
    margin-right: auto;
}

.menu__list {
    list-style-type: none;
    padding: 0;
    margin-bottom: 14px;
    column-gap: 20px;
}

.menu__item {
    border-radius: 0 0 5px 5px;
    transition-duration: 0.5s;
}

.menu__item:hover{
    background-color: #99BAED;
    box-shadow: 0 17px 50px 0 #99baed;
    transition-duration: 1s;
}

.menu__link {
    display: inline-block;
    padding: 67px 14px 8px 14px;
    text-align: left;
    font-size: 1rem;
    font-weight: 500;
    line-height: 33px;
    color: #163561;
    transition-duration: 0.35s;
}

.menu__link:hover{
    color: #FFFFFF;
    text-decoration: none;
}

.header__buttons {
    column-gap: 72px;
    padding-top: 46px;
    margin-left: auto;
}

.header__icon {
    max-width: 42px;
}

.hero {
    padding-top: 174px;
    margin-bottom: 226px;
}

.hero__content {
    flex: 1 1 auto;
    max-width: 576px;
    padding-top: 102px;
}

.hero__image {
    max-width: 919px;
    margin-left: auto;
}

.hero__image img {
    width: 100%;  
}

.main {
    position: relative;
}

.our-history::before {
    content: url(../img/our_history_section/before-history.png);
    position: absolute;
    top: 20%;
    left: 0;
}

.our-history::after {
    content: url(../img/our_history_section/after-history.png);
    position: absolute;
    top: 20%;
    right: 0;
}

.services::before {
    content: url(../img/services_section/before-services.png);
    position: absolute;
    top: 60%;
    left: 0;
}

.services::after {
    content: url(../img/services_section/after-services.png);
    position: absolute;
    top: 60%;
    right: 0;
}

.our-gallery::before {
    content: url(../img/our_galery_section/before-galery.png);
    position: absolute;
    top: 68%;
    left: 0;
}

.our-gallery::after {
    content: url(../img/our_galery_section/after-galery.png);
    position: absolute;
    top: 68%;
    right: 0;
}

.our-history {
    flex-wrap: wrap;
    margin-bottom: 140px;
}

.our-history__image {
    max-width: 900px;
    margin-right: auto;
}

.our-history__image img {
    width: 100%;
}

.our-history__content {
    flex: 1 1 auto;
    padding-top: 102px;
    max-width: 526px;
}

.services {
    margin-bottom: 222px;
}

.services__content {
    flex-wrap: wrap;
    column-gap: 45px;
    row-gap: 45px;
    padding-bottom: 77px;
}

.services__item {
    max-width: 441px;
    background: #FAFBFF;
    box-shadow: 0 5px 0 #99BAED;
    border-radius: 29px;
    padding: 50px 41px 72px 41px;
    transition-duration: .5s;
    transition-timing-function: ease-in-out;
}

.services__item:hover{
    background: #99BAED;
    border-radius: 29px;
    box-shadow: 23px 39px 94px #D5E5FF;
    transform: scale(1.1);
}

.services__item:hover h3,
.services__item:hover .text {
    color: #FAFBFF;
}

.services__img {
    background: #E5ECFE;
    box-shadow: 0 1px 0 #008FDD;
    border-radius: 13px;
    margin: 0 auto 59px;
    max-width: 103px;
    height: 126px;
}

.our-gallery {
    margin-bottom: 218px;
}

.galery__content {
    flex-wrap: wrap;
    column-gap: 37px;
    row-gap: 37px;
    margin-bottom: 77px;
}

.galery__img {
    max-width: 435px;
    position: relative;
    transition-duration: 1s;
}

.galery__img img {
    width: 100%;
}

.galery__img::before{
    content: '';
    width: 100%;
    height: 100%;
    background: rgba(82, 150, 255, 0.35);
    position: absolute;
}

.galery__img:hover::before{
    display: none;
}

.galery__img:hover {
    transform: scale(1.15);
}

.footer {
    margin-bottom: 145px;
    position: relative;
}

.footer::before {
    content: '';
    background-image: url(../img/footer/before-footer.png);
    width: 296px;
    height: 424px;
    position: absolute;
    top: 27%;
    left: 0;
}

.footer::after {
    content: '';
    background-image: url(../img/footer/after-footer.png);
    width: 296px;
    height: 424px;
    position: absolute;
    top: 27%;
    right: 0;
}

.footer__content {
    max-width: 526px;
    margin: 0 auto;
}

.footer__content::after {
    content: '';
    border-bottom: 1px solid #D3E5FF;
    max-width: 1362px;
    position: absolute;
    top: 376px;
    left: 0;
    right: 0;
    margin: auto;
}

.footer__logo {
    margin: 0 0 36px;
}

.footer__social {
    position: relative;
    column-gap: 25px;
    row-gap: 25px;
    margin-bottom: 47px;
}


@media (max-width: 1485px) {
    .container {
        max-width: 1455px;
    }

    .our-history::before,
    .our-history::after,
    .services::before,
    .services::after,
    .our-gallery::before,
    .our-gallery::after,
    .footer::before,
    .footer::after {
        display: none;
    }

    .hero {
        margin-bottom: 0;
    }

    .our-history__image {
        max-width: 700px;
        margin-right: 30px;
    }

    .text {
        margin-bottom: 40px;
    }

    .services {
        margin-bottom: 60px;
    }
}

@media (max-width: 1438px) {
    .container {
        max-width: 1408px;
    }

    html {
        font-size: 22px;
    }

    .hero {
        padding-top: 120px;
    }

    .hero__content, .hero__image {
        padding-top: 50px;
    }

    .our-history__image {
        max-width: 600px;
    }

    .our-history__content {
        max-width: 400px;
    }

    h3 {
        margin-bottom: 40px;
    }

    .services__content {
        column-gap: 18px;
    }

    .services__item {
        max-width: 364px;
        padding: 25px 16px 60px 16px;
    }

    .services__item:hover{
        transform: scale(1.05);
    }

    .services__img {
        max-width: 92px;
        height: 110px;
    }

    .galery__content {
        column-gap: 24px;
        row-gap: 24px;
        margin-bottom: 60px;
    }

    .galery__img {
        max-width: 335px;
    }

    .button {
        padding: 16px 32px;
    }

    .footer__content::after {
        max-width: 1100px;
    }
}

@media (max-width: 1230px) {
    .container {
        max-width: 1200px;
    }

    html {
        font-size: 20px;
    }

    .hero {
        padding-top: 180px;
    }

    .hero__content {
        max-width: 476px;
    }

    .hero__content, .hero__image {
       padding-top: 0;
    }

    .our-history__image {
        max-width: 500px;
    }

    .our-history__content{
        max-width: 500px;
    }

    .services__item {
        max-width: 344px;
    }
}

@media (max-width: 1133px) {
    .container {
        max-width: 1103px;
    }

    html {
        font-size: 20px;
    }

    .hero__content, .hero__image {
        padding-top: 50px;
    }

    .header__icon {
        display: none;
    }

    .our-history .button {
        margin-bottom: 100px;
    }

    .our-history__image {
        max-width: 500px;
    }

    .our-history__content{
        max-width: 400px;
    }
    .services__item {
        max-width: 300px;
    }

    .galery__img {
        max-width: 275px;
    }

    .footer__content::after {
        max-width: 700px;
    }
}

@media (max-width: 1024px) {
    .container {
        max-width: 969px;
    }

    html {
        font-size: 18px;
    }

    .header__top {
        justify-content: center;
    }

    .header__icon {
        display: none;
    }

    .logo__img {
        max-width: 130px;
    }

    .hero {
        justify-content: center;
        padding-top: 120px;
    }

    .wrapp__btn {
         margin-bottom: 0;
    }

    .our-history, .our-gallery {
        margin-bottom: 80px;
    }

    .our-history__content{
        max-width: 400px;
    }

    .our-history__image {
        max-width: 400px;
        margin-right: 20px;
    }

    h2 {
        margin-bottom: 30px;
    }

    .text {
        margin-bottom: 20px;
    }

    .our-history .button {
        margin-bottom: 100px;
    }

    .services__item {
        max-width: 320px;
    }
    .services__item {
        padding: 25px 16px 40px 16px;
    }

    .galery__img {
        max-width: 275px;
    }

    .footer {
        margin-bottom: 86px;
    }
    .footer__content::after {
        max-width: 600px;
    }
}

@media (max-width: 850px) {
    .container {
        max-width: 819px;
    }
    .header__top {
        justify-content: center;
    }

    .logo {
        margin-right: 0;
    }

    .menu, .header__buttons {
        display: none;
    }

    .hero {
        justify-content: center;
        padding-top: 120px;
    }

    .hero__image {
        display: none;
    }

    h1 {
        text-align: center;
    }

    .our-history h2 {
        text-align: center;
    }

    .text {
        text-align: center;
        max-width: 100%;
    }

    .our-history .text {
        margin-bottom: 22px;
    }

    .button,
    .our-history__image {
        margin: 0 auto;
    }

    .our-history .button {
        margin-bottom: 100px;
    }

    .our-history__content {
        order: 1;
    }

    .our-history__image {
        order: 2;
    }

    .galery__img {
        max-width: 245px;
    }
}

@media (max-width: 547px) {
    .galery__content {
        flex-wrap: nowrap;
        overflow-x: auto;
        justify-content: normal;
    }
    .galery__img {
        flex-shrink: 0;
    }

    .services__item {
        max-width: 316px;
    }

    .footer__content::after {
        max-width: 300px;
    }
}

@media (max-width: 480px) {
    .container {
        max-width: 320px;
    }

    .header__top {
        justify-content: center;
    }

    .logo {
        margin-right: 0;
        flex-shrink: 0;
    }

    .menu, .header__buttons {
        display: none;
    }

    .hero {
        justify-content: center;
        padding-top: 120px;
    }

    .hero__image {
        display: none;
    }

    h1 {
        text-align: center;
    }

    .our__history h2 {
        text-align: center;
    }

    .text {
        text-align: center;
        max-width: 100%;
    }

    .button,
    .our-history__image {
        margin: 0 auto;
    }

    .our-history .button {
        margin-bottom: 100px;
    }

    .our-history h2 {
        text-align: center;
    }

    .our-history__content {
        order: 1;
    }

    .our-history__image {
        order: 2;
    }

    .footer__content::after {
        max-width: 200px;
    }
}

